Subject: [PATCH v3] ARM: dts: sun8i: Add dts file for Olimex A33-OLinuXino

From: [email-masked] (Maxime Ripard)
Date: Fri, 24 Jun 2016 12:16:42 +0200

On Thu, Jun 23, 2016 at 04:07:13AM -0700, stefan.mavrodiev at gmail.com wrote:
> > > +&usb_otg {
> > > +	dr_mode = "host";
> > > +	status = "okay";
> > > +};
> > > +
> > > +&usbphy {
> > > +	usb0_vbus-supply = <&reg_vcc5v0>;
> > > +	status = "okay";
> > > +
> > > +};
> > 
> > It doesn't work as USB OTG ?
> > 
> 
> The hardware should work as OTG. In FEL mode it works as device, and
> in current dt configuration - as host. I've spend some time trying
> to make it work as otg, but didn't succeed.
> 
> There are some hardware differences between our board and other a33,
> but if you say that OTG work, I'll spend some additional time
> working on it.

Yes, I've been testing and got it to work on at least two other A33
boards (the R16 Parrot and the Sinlinx SinA33). You can look at the
Parrot DT, you should have everything you need (but you will most
likely need linux-next).

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20160624/aa0e7427/attachment-0001.sig>